clang 8.0.0

Public Member Functions | List of all members
clang::CanTypeIterator< InputIterator > Struct Template Reference

Iterator adaptor that turns an iterator over canonical QualTypes into an iterator over CanQualTypes. More...

`#include "clang/AST/CanonicalType.h"`

Inheritance diagram for clang::CanTypeIterator< InputIterator >:
[legend]
Collaboration diagram for clang::CanTypeIterator< InputIterator >:
[legend]

## Public Member Functions
| CanTypeIterator ()=default
| CanTypeIterator (InputIterator Iter)
CanQualType | operator* () const
CanProxy< Type > | operator-> () const

## Detailed Description

### template<typename InputIterator>
struct clang::CanTypeIterator< InputIterator >

Iterator adaptor that turns an iterator over canonical QualTypes into an iterator over CanQualTypes.

Definition at line 402 of file CanonicalType.h.

## Constructor & Destructor Documentation

## ◆ CanTypeIterator() [1/2]

template<typename InputIterator >

clang::CanTypeIterator< InputIterator >::CanTypeIterator | ( |  | ) |
| default

## ◆ CanTypeIterator() [2/2]

template<typename InputIterator >

clang::CanTypeIterator< InputIterator >::CanTypeIterator | ( | InputIterator | Iter | ) |
| inline explicit

Definition at line 410 of file CanonicalType.h.

## Member Function Documentation

## ◆ operator*()

template<typename InputIterator >

CanQualType clang::CanTypeIterator< InputIterator >::operator* | ( |  | ) | const
| inline

Definition at line 413 of file CanonicalType.h.

References clang::CanQual< Type >::CreateUnsafe(), and clang::CanQual< T >::operator->().

## ◆ operator->()

template<typename InputIterator >

CanProxy< Type > clang::CanTypeIterator< InputIterator >::operator-> | ( |  | ) | const

Definition at line 681 of file CanonicalType.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/CanonicalType.h